"""
log.py, Part of soc_helper
Copyright (C) 2023  M. Williges (spam at zut punkt de)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

import configuration
import datetime
import importlib

#Ausgabefunktion. Stellt die aktuelle Systemzeit vor die Ausgabe und veranlasst die sofortige Ausgabe, statt zu buffern
def reloadConfig():
    importlib.invalidate_caches()
    importlib.reload(configuration)
    
def output(loglevel, text):
    cl=configuration.LOGLEVEL
    if loglevel <= cl:
        dt=datetime.datetime.now()
        print(dt,'   ' * loglevel, '['+str(loglevel)+'] ',text,flush=True)
